Subject: 26,000 rhyme words

From: Stanley G Goertzen <[email-masked]>
Date: Wed, 25 Aug 1993 12:13:38 -600

Stuart  Aque <[email-masked]>,  Subject: Re:  26,000 characters
(That's all???), dated Tue, 24 Aug 1993 19:05, wrote:

> Funny that you should mention Guangyun, which by  the way was completed
> in 1011 under the direction of Chen Pengnian. I have a copy on my shelf
> next to my copy of the Jiyun with its 53,525 characters...

26,194 characters is the correct number of Guangyun  *rhyme words*.  Look
at your preface: there are "26,194 words" (yan2) and "191,692 characters"
(zi4) used  to annotate and  define those words.   An unannotated version
was circulated in 1007 A.D.

> Any serious work on  historical phonology or orthography that  we would
> want to  make available in electronic form to  folks interested in such
> things would require a lot of forethought and labor.

I'm afraid  that's a rather limited  academic audience, and  I'm sure our
CCNET friends are not all that interested, but I have chosen the Guangyun
for just that  reason.  It is a serious  work in the study  of historical
phonology.  The  Guangyun "expands" (zengguang) on the 12,158  rime words
of Lu Fayan's Qieyun rhyme dictionary of 601 A.D., but the Qieyun was not
available  (except  in  indirectly  in  fragmentary  quotes)  to  Chinese
phonologists until only  very recently.  Therefore many of  China's great
phonologists  and lexicographers,  such as  Duan Yucai  in his  annotated
Shuowen  Jiezi, relied  on and  often cite  the rhymes  and words  of the
Guangyun (which he  called "current rhymes" as opposed to  the much older
rhymes of the  Shijing).  Modern  linguists may prefer the  Qieyun rhymes
which  they  consider to  be  a  more reliable  guide  for  the study  of
historical phonology, but if you want  to understand and follow the works
of China's eminent  philologists, the Guangyun is essential.   Funny that
you  should mention the Jiyun, which may  have lots of characters, but is
generally  regarded as  a compilation  which indiscriminately  draws from
heterogenous sources, and is therefore of little use to phonologists.

> My suggestion would be that you focus on currently available technology
> and define how to best work within its limitations.

According  to  Mr.  HU  Bo  <[email-masked]>, Subject:  Re:  26,000
characters, dated  Wed, 25  Aug 1993, it  appears that the  technology is
already at hand.  It seems that he has proposed a solution to the problem
you described as a "parallel character  set" which shares the same  codes
as  the Big-5 set or Unicode, [the problem being one of] coordinating the
input system for the parallel character set  or sets with the font set so
that the desired character would appear in both the input box and  on the
screen and in print.

It is  not my intention to  advocate new standards or  make proposals for
others  to  follow; I'm  simply  interested in  finding a  solution  to a
particular  problem: a computer database with a  set or sets of fonts for
the  Guangyun  rhyme  words.    For  those  who  are  happy  with  16-bit
codepoints,  and I suspect many are, Unicode is great.  For those waiting
for  32-bit codepoints  to solve  their problems;  well, don't  hold your
breath, and if you  follow Mr. Stuart  Aque's advice you  may not find  a
solution at all.

> If you get to Wall Drug, have a glass of ice water for me.

Drats!  Just  my luck.   We don't have Wall  Drug out this  way.  But  no
matter, the ice  water at U of Washington is  much colder.  I just  got a
splash of it through the internet!

Best of all,

Stan
[email-masked]